//
// Author: Benjamin Langmann <b.langmann@gmx.de>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef LMJPEG_HELPERS_H
#define LMJPEG_HELPERS_H

#include "stdafx.h"

#ifndef VFW_WIN
#include <ffmpeg/avcodec.h>
#include <ffmpeg/avformat.h>
#endif

#define Malloc(x) malloc(x)
#define Free(x) free(x)

#ifndef VFW_WIN

#define MAX_TIMES 15

typedef struct timing_data_t {
	char times_str[MAX_TIMES][50];
	long times[MAX_TIMES];
	int times_num[MAX_TIMES];
	
	long last_time;
	int last_num;
	int init;
} timing_data;

void timing2k(timing_data* data, int num, char* str);

#endif

#endif
